Vionlabs Ad Breaks API
Vionlabs API for retrieval of adbreaks results.
Get item Ad Break result status and data, expressed in seconds
Get the ad breaks result status and data in seconds for an item in the customer catalog
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Ad breaks version code
A number of minutes of minimum separation between Ad Breaks
1A number of minutes of maximum separation between Ad Breaks
5A number of first minutes to skip checking for an Ad Break presence
1A number of last minutes to skip checking for an Ad Break presence
1Response Body
curl -X GET "https://loading/results/adbreaks/v3/filter/millisec/string?version=string&minimum_separation=1&maximum_separation=5&skip_first=1&skip_last=1"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"adbreak": [
{
"candidates": [
10.6,
1352.08,
1886.6,
2401.6
],
"rank": 1
},
{
"candidates": [
1535.4,
2101.3
],
"rank": 2
},
{
"candidates": [
746.68,
1596.84,
2290.56
],
"rank": 3
},
{
"candidates": [
865.26,
2550.066
],
"rank": 4
}
],
"inventory_id": "402077_1080p",
"type": "movie",
"version_id": "op-adbreak-v6",
"vionlabs_id": "33880c61819a5d50"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item ad break result status and data in frames
Get the ad breaks result status and data in frames for an item in the customer catalog
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Ad breaks version code
A number of minutes of minimum separation between Ad Breaks
1A number of minutes of maximum separation between Ad Breaks
5A number of first minutes to skip checking for an Ad Break presence
1A number of last minutes to skip checking for an Ad Break presence
1Response Body
curl -X GET "https://loading/results/adbreaks/v3/filter/frame/string?version=string&minimum_separation=1&maximum_separation=5&skip_first=1&skip_last=1"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"adbreak": [
{
"candidates": [
265,
25247,
50837,
60040
],
"rank": 1
},
{
"candidates": [
38385,
45901
],
"rank": 2
},
{
"candidates": [
18667,
39921,
57264
],
"rank": 3
},
{
"candidates": [
7650,
22711
],
"rank": 4
}
],
"inventory_id": "402077_1080p",
"type": "movie",
"version_id": "op-adbreak-v6",
"vionlabs_id": "33880c61819a5d50"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item ad break result status
Get the ad breaks result status for an item in the customer catalog
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Ad breaks version code
Response Body
curl -X GET "https://loading/results/adbreaks/v3/status/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get paginated list of the updated inventory_id items with the ad break results statuses ordered by creation/update timestamp
Get paginated list of inventory items with the updated ad break results ordered by creation/update timestamp.
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueAd breaks version code
Response Body
curl -X GET "https://loading/results/adbreaks/v3/?from_utcdatetime=2024-03-06T20%3A00%3A00&to_utcdatetime=2024-03-07T20%3A00%3A00&page_num=0&page_size=500&version=string"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": [
{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item Ad Break candidates
Get ad break candidates for an item in the customer catalog.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Ad breaks version code
Minimum separation between ad breaks in minutes. Breaks closer than this are dropped. 0 means no filtering.
0Number of minutes at the start of the content to exclude ad break candidates from. 0 means no skipping.
0Number of minutes at the end of the content to exclude ad break candidates from. 0 means no skipping.
0Response Body
curl -X GET "https://loading/results/adbreaks/v4/string?version=string&minimum_separation=0&skip_first=0&skip_last=0"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"candidates": [
0
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item ad break result status
Get the ad break processing status for an item without fetching the full candidates payload. Useful for lightweight polling before calling the main GET /{inventory_id} endpoint.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Ad breaks version code
Response Body
curl -X GET "https://loading/results/adbreaks/v4/status/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get paginated list of inventory items with ad break results
Get a paginated list of inventory items that have ad break results, ordered by creation/update timestamp. Use to bulk-pull newly processed assets.
In: header
Query Parameters
Start of time window (ISO 8601). If omitted all results are returned.
End of time window (ISO 8601). Defaults to utcnow(). Fix this value while paginating to keep the window stable.
Zero-based page number
00 <= valueMax results per page
5001 <= valueAd breaks version code
Response Body
curl -X GET "https://loading/results/adbreaks/v4/?from_utcdatetime=2024-03-06T20%3A00%3A00&to_utcdatetime=2024-03-07T20%3A00%3A00&page_num=0&page_size=500&version=string"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": [
{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}API Specs
All available APIs
Vionlabs Catalog API
Vionlabs API for ingesting and synchronising asset information. Catalog data is central to the operation of the system. To fully understand the models and the implications of operations, developers and integrators should consult the relevant section of the Vionlabs developer documentation.